List reconciliation matches
Returns the merchant’s payments paired with the bank transactions that settled them, newest first by default.
GET
/
roqqett
/
reconciliation
/
matches
cURL
curl --request GET \
--url 'https://api.equalsmoney.com/v2/roqqett/reconciliation/matches?accountId={{accountId}}' \
--header 'Authorization: <api-key>'import requests
url = "https://api.equalsmoney.com/v2/roqqett/reconciliation/matches"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.equalsmoney.com/v2/roqqett/reconciliation/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 200,
"offset": 100,
"count": 67,
"rows": [
{
"id": "3b9d6f2a-8c1e-4a7d-9f5b-2e0c4a6d8b13",
"payment": {
"paymentId": "9c4e1a7b-3d2f-4b6a-8e5c-0f7d2a9b1c34",
"type": "PAYMENT",
"status": "UNMATCHED",
"amount": {
"amount": "10000.00",
"currencyCode": "GBP"
},
"reference": "RQ123456",
"merchantReference": "ORDER-10421",
"checkoutName": "Example Shop checkout",
"bankDetails": {
"type": "SORT_CODE",
"sortCode": "040004",
"accountNumberLastFour": "5678"
},
"transactionId": "e7bf0d9e-af9e-4ac0-a5ed-0d6c6cec809d",
"completedAt": "2026-10-02T12:00:05Z"
},
"transaction": {
"id": "e7bf0d9e-af9e-4ac0-a5ed-0d6c6cec809d",
"status": "UNMATCHED",
"direction": "CREDIT",
"amount": {
"amount": "10000.00",
"currencyCode": "USD"
},
"reference": "RQ123456",
"description": "MyRef RQ123456 MyRef2",
"bankDetails": {
"type": "SORT_CODE",
"sortCode": "040004",
"accountNumberLastFour": "5678"
},
"paymentId": "9c4e1a7b-3d2f-4b6a-8e5c-0f7d2a9b1c34",
"bookedAt": "2026-10-02T12:00:05Z",
"receivedAt": "2026-10-02T12:10:00Z",
"createdAt": "2019-08-24T14:15:22Z"
},
"createdAt": "2019-08-24T14:15:22Z"
}
]
}{
"message": "Checkout session not found.",
"errors": [
{
"path": "string",
"message": "string",
"errorCode": "string"
}
]
}{
"message": "Checkout session not found.",
"errors": [
{
"path": "string",
"message": "string",
"errorCode": "string"
}
]
}{
"message": "Checkout session not found.",
"errors": [
{
"path": "string",
"message": "string",
"errorCode": "string"
}
]
}Authorizations
Query Parameters
The maximum number of results to return.
Required range:
1 <= x <= 1000Example:
200
The number of items to skip before returning results.
Required range:
x >= 0Example:
100
The ID of the account to work with.
Example:
"F50091"
Only matches made (createdAt) on or after this date.
Example:
"2026-09-01"
Only matches made (createdAt) on or before this date.
Example:
"2026-09-30"
Determines whether the page of items are sorted in ascending or descending order.
Available options:
asc, desc Response
OK
The total amount of records matching the querying when "limit" is ignored.
Example:
67
Show child attributes
Show child attributes
The maximum number of results to return.
Required range:
1 <= x <= 1000Example:
200
The number of items to skip before returning results.
Required range:
x >= 0Example:
100
Was this page helpful?
⌘I
cURL
